Installation error - Ubuntu 20.10

Hello all. I am trying to install Brave after a fresh installation of Groovy Gorilla.

I tried following the Installation guide mentioned in the website : https://brave.com/linux/#linux
At step 2 , which is

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

I get the following error -

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
gpg: no valid OpenPGP data found.

Image is attached for reference.

How do I proceed further ? Newbie here. Thanks in advance :smiley:

Did you proceed with the guide? It should just work fine even though you get that message.

Yeh. It worked sometime later